## RetroOptionIterator RetroOptionIterator — An object iterating through the options of a RetroCore |

## Functions

gboolean | retro_option_iterator_next ()

## Types and Values

#define | RETRO_TYPE_OPTION_ITERATOR
| RetroOptionIterator

## Object Hierarchy

        GObject
        ╰── RetroOptionIterator

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### retro_option_iterator_next ()

    gboolean
    retro_option_iterator_next (RetroOptionIterator *self,
                                guint **key,
                                RetroOption **option);

Fetch the next RetroOption and its key.

#### Parameters

self | a RetroOptionIterator |
key | return location for the key. | [out][optional][transfer none]
option | return location for the option. | [out][optional][nullable][transfer none]

#### Returns

`FALSE` if it reached the end, `TRUE` otherwise

## Types and Values

### RETRO_TYPE_OPTION_ITERATOR

    #define RETRO_TYPE_OPTION_ITERATOR (retro_option_iterator_get_type())

### RetroOptionIterator

    typedef struct _RetroOptionIterator RetroOptionIterator;

## See Also

RetroCore, RetroOption